> For a complete page index, fetch https://developer.close.com/llms.txt

# Fetch a single contact

GET https://api.close.com/api/v1/contact/{id}/

Reference: https://developer.close.com/api/resources/contacts/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /contact/{id}/:
    get:
      operationId: get
      summary: Fetch a single contact
      tags:
        - subpackage_contacts
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    ContactEmail:
      type: object
      properties:
        email:
          type: string
        is_unsubscribed:
          type: boolean
        type:
          type: string
      required:
        - email
        - is_unsubscribed
        - type
      title: ContactEmail
    RenderedIntegrationLink:
      type: object
      properties:
        name:
          type: string
        url:
          type: string
      required:
        - name
        - url
      title: RenderedIntegrationLink
    ContactPhone:
      type: object
      properties:
        country:
          type:
            - string
            - 'null'
        outbound_sms_blocked:
          type: boolean
        phone:
          type: string
        phone_formatted:
          type: string
        type:
          type: string
        tz_ids:
          type: array
          items:
            type: string
      required:
        - phone
        - type
      title: ContactPhone
    CallStatus:
      type: string
      enum:
        - created
        - in-progress
        - completed
        - cancel
        - no-answer
        - busy
        - failed
        - timeout
      description: Current status of the call.
      title: CallStatus
    ContactRecentCall:
      type: object
      properties:
        dialer_id:
          type:
            - string
            - 'null'
        duration:
          type: integer
        finish_timestamp:
          type: string
          format: date-time
        id:
          type: string
        status:
          $ref: '#/components/schemas/CallStatus'
      required:
        - dialer_id
        - duration
        - finish_timestamp
        - id
        - status
      title: ContactRecentCall
    WorkflowStatus:
      type: string
      enum:
        - active
        - paused
        - draft
      title: WorkflowStatus
    WorkflowRunStatus:
      type: string
      enum:
        - active
        - paused
        - finished
        - goal
        - error
      title: WorkflowRunStatus
    StatusReason:
      type: string
      enum:
        - manual
        - pending-call-timed-out
        - bulk-action
        - rate-limited
        - sequence-deleted
        - workflow-paused
        - filter-not-matched
        - reply-received
        - call-answered
        - meeting-booked
        - lead-status-changed
        - outcome-met
        - account-invalid
        - account-failures
        - sending-throttled-too-long
        - membership-inactive
        - send-as-error
        - email-bounced
        - call-failed
        - sms-failed
        - no-user-phone
        - billing-error
        - assignment-field-invalid
        - lead-status-field-invalid
        - assignees-missing
        - run-as-disabled
        - lead-not-visible
        - internal-error
        - field-mapping-error
        - filter-config-invalid
        - email-ai-generation-failed
      description: Reason for each higher level status on a Workflow run.
      title: StatusReason
    BasicSubscriptionInfoForContact:
      type: object
      properties:
        contact_email:
          type:
            - string
            - 'null'
        date_created:
          type: string
          format: date-time
        initial_email_id:
          type:
            - string
            - 'null'
        sequence_id:
          type: string
        sequence_name:
          type: string
        sequence_status:
          $ref: '#/components/schemas/WorkflowStatus'
        start_date:
          type:
            - string
            - 'null'
          format: date-time
        subscription_id:
          type: string
        subscription_status:
          $ref: '#/components/schemas/WorkflowRunStatus'
        subscription_status_reason:
          oneOf:
            - $ref: '#/components/schemas/StatusReason'
            - type: 'null'
      required:
        - contact_email
        - date_created
        - initial_email_id
        - sequence_id
        - sequence_name
        - sequence_status
        - start_date
        - subscription_id
        - subscription_status
        - subscription_status_reason
      title: BasicSubscriptionInfoForContact
    ContactUrl:
      type: object
      properties:
        type:
          type: string
        url:
          type: string
      required:
        - type
        - url
      title: ContactUrl
    Contact:
      type: object
      properties:
        created_by:
          type:
            - string
            - 'null'
        date_created:
          type: string
          format: date-time
        date_updated:
          type: string
          format: date-time
        display_name:
          type: string
        emails:
          type: array
          items:
            $ref: '#/components/schemas/ContactEmail'
        id:
          type: string
        integration_links:
          type: array
          items:
            $ref: '#/components/schemas/RenderedIntegrationLink'
        lead_id:
          type:
            - string
            - 'null'
        lead_suggestions_operation_id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        organization_id:
          type: string
        phones:
          type: array
          items:
            $ref: '#/components/schemas/ContactPhone'
        recent_calls:
          type: array
          items:
            $ref: '#/components/schemas/ContactRecentCall'
        subscriptions:
          type: array
          items:
            $ref: '#/components/schemas/BasicSubscriptionInfoForContact'
        timezone:
          type:
            - string
            - 'null'
        timezone_source:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        updated_by:
          type:
            - string
            - 'null'
        urls:
          type: array
          items:
            $ref: '#/components/schemas/ContactUrl'
      required:
        - created_by
        - date_created
        - date_updated
        - display_name
        - id
        - name
        - organization_id
        - title
        - updated_by
      title: Contact
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python contacts_get_example
import requests

url = "https://api.close.com/api/v1/contact/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript contacts_get_example
const url = 'https://api.close.com/api/v1/contact/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go contacts_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/contact/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby contacts_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/contact/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java contacts_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/contact/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php contacts_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/contact/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp contacts_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/contact/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```